Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Record tax withheld for an invoice

Idempotency Supported

Records tax_withheld by the customer against the invoice specified. This operation is allowed only when all of the following conditions are true:

  • Tax Amount Withheld is enabled.
  • The invoice does not have a linked_taxes_withheld record associated with it already.
  • invoice.amount_due is greater than zero.
  • invoice.status is one of the following: payment_due, not_paid, or posted.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/invoices/{invoice-id}/record_tax_withheld

Input Parameters

tax_withheld
Parameters for tax_withheld
pass parameters as tax_withheld[<param name>]

Returns

Invoice object
Resource object representing invoice